org.apache.tools.zip

## Class ZipOutputStream.UnicodeExtraFieldPolicy

- java.lang.Object
- - org.apache.tools.zip.ZipOutputStream.UnicodeExtraFieldPolicy

Enclosing class:
  ZipOutputStream

    public static final class ZipOutputStream.UnicodeExtraFieldPolicy
    extends java.lang.Object

enum that represents the possible policies for creating Unicode extra fields.

### Field Summary

Fields
`static ZipOutputStream.UnicodeExtraFieldPolicy` `ALWAYS` Always create Unicode extra fields.
`static ZipOutputStream.UnicodeExtraFieldPolicy` `NEVER` Never create Unicode extra fields.
`static ZipOutputStream.UnicodeExtraFieldPolicy` `NOT_ENCODEABLE` Create Unicode extra fields for filenames that cannot be encoded using the specified encoding.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ALWAYS

    public static final ZipOutputStream.UnicodeExtraFieldPolicy ALWAYS

Always create Unicode extra fields.

#### NEVER

    public static final ZipOutputStream.UnicodeExtraFieldPolicy NEVER

Never create Unicode extra fields.

#### NOT_ENCODEABLE

    public static final ZipOutputStream.UnicodeExtraFieldPolicy NOT_ENCODEABLE

Create Unicode extra fields for filenames that cannot be encoded using the specified encoding.

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`